# SPDX-FileCopyrightText: 2022 Gregor Kleen <gregor.kleen@ifi.lmu.de>
#
# SPDX-License-Identifier: AGPL-3.0-or-later

{}: prev: final: rec {
  changelogJson = prev.runCommand "changelog.json" {
  } ''
    ln -s ${final.uniworxNodeDependencies}/lib/node_modules ./node_modules
    export PATH="${final.uniworxNodeDependencies}/bin:$PATH"

    changelog-parser ${../CHANGELOG.md} > $out
  '';

  jqChangelogJson = prev.writeShellScriptBin "jq-changelog" ''
    exec -- ${final.jq}/bin/jq $@ < ${changelogJson}
  '';
}
